#include <bits/stdc++.h>
using namespace std;


int main() {
int n, m;
cin >> n >> m;
int ukupno_kvadrata = n * m;
int cuvari = n + m-1 + n-1 + m-2; //Broj kvadrata od spolja
int broj_kvadrata = ukupno_kvadrata - cuvari;   //Broj kvadrata bez kvadrata od spolja
int broj_praznih = broj_kvadrata / 2 ;    //Broj kvadrata bez cuvara

 if (n==1) {
    cout << m << endl;
  } else if (m==1) {
    cout << n << endl;
  } else if (n==2) {
    cout << m*2 << endl;
  } else if (m==2) {
    cout << n*2<< endl;
  } 
    else {
    cout << broj_praznih + cuvari << endl;
  }
        
    return 0;
}